import ngsolve as ngs

from netgen.csg import *
from ngsolve import *

from ctypes import CDLL

#CDLL('libh1amg.so')
geo1 = CSGeometry()
geo1.Add (OrthoBrick(Pnt(-0.5,-0.5,-0.5),Pnt(0.5,0.5,0.5)))



order=3
print("order= ",order)
m1 = geo1.GenerateMesh (maxh=0.5)
mesh = ngs.Mesh(m1)
V=ngs.L2(mesh,order=order,dgjumps=True,dirichlet='~x')

print("i have the following boundary elements:")
for el in V.Elements(ngs.BND):
    print(el)
